import React from 'react';
import ReactDOM from 'react-doom';
import { arc } from 'd3';

console.log(arc);

const width = 960;
const height = 500;
const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 20;
const eyeOffsetX = 70;
const eyeOffsetY = 100;

const eyeRadiusX = 30;
const eyeRadiusY = 60;

const mouthWidth = 20;
const mouthRadius = 140;

const mouthArc = arc()
  .innerRadius(mouthRadius)
  .outerRadius(mouthRadius + mouthWidth)
  .startAngle(Math.PI * .75)
  .endAngle(Math.PI * 1.25);

const App = () => (
			<svg width={width} height={height}>
    		<g transform={`translate(${centerX}, ${centerY})`}>
          <circle 
            r={centerY - strokeWidth / 2} 
            fill="#f0a400" 
            stroke="black" 
            stroke-width={strokeWidth}
          />
          <ellipse 
            cx={-eyeOffsetX}
            cy={-eyeOffsetY}  
            rx={eyeRadiusX} 
            ry={eyeRadiusY}
          />
          <ellipse 
            cx={eyeOffsetX}
            cy={-eyeOffsetY}  
            rx={eyeRadiusX} 
            ry={eyeRadiusY}
          />

      		<path d={mouthArc()} />
          
          
    		</g>
    			<g transform={`translate(${10}, ${10})`} stroke={'black'}>
            <rect
              x={0}
              y={0}
              width={70}
              height={150}
              fill={'#0050a4'}
            />
            <rect
              x={70}
              y={0}
              width={70}
              height={150}
              fill={'#ffffff'}
            />
             <rect
              x={140}
              y={0}
              width={70}
              height={150}
              fill={'#ef4135'}
            />
   			 </g>
      </svg>
);

const rootElement = document.getElementById("root");
ReactDOM.render(
  <React.StrictMode>
    <App />
  </React.StrictMode>,
  rootElement
);